package cn.iocoder.yudao.module.infra.dal.dataobject.demo01;

import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

import java.time.LocalDateTime;

/**
 * 学生 DO
 *
 * @author 芋道源码
 */
@TableName("infra_demo01_student")
@KeySequence("infra_demo01_student_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class InfraDemo01StudentDO extends BaseDO {

    /**
     * 编号
     */
    @TableId
    private Long id;
    /**
     * 名字
     */
    private String name;
    /**
     * 简介
     */
    private String description;
    /**
     * 出生日期
     */
    private LocalDateTime birthday;
    /**
     * 性别
     *
     * 枚举 {@link TODO system_user_sex 对应的类}
     */
    private Integer sex;
    /**
     * 是否有效
     *
     * 枚举 {@link TODO infra_boolean_string 对应的类}
     */
    private Boolean enabled;
    /**
     * 头像
     */
    private String avatar;
    /**
     * 附件
     */
    private String video;
    /**
     * 备注
     */
    private String memo;

}